package net.pokeranalytics.android.util

import android.os.Build


/**
 * Helper to get the device model
 */
class DeviceUtils {

    companion object {
        /**
         * Get the device name
         */
        fun getDeviceName(): String {
            val manufacturer = Build.MANUFACTURER
            val model = Build.MODEL
            return if (model.toLowerCase().startsWith(manufacturer.toLowerCase())) {
	            model.capitalize()
            } else {
	            manufacturer.capitalize() + " " + model
            }
        }
    }

}